Analyse existing data on preferences to figure out if it can tell us about people opting in and out of the completion suggester beta feature
Closed, ResolvedPublic2 Story Points

Description

I spoke with @Jdforrester-WMF and apparently there's a lot of existing data about people opting in and out of preferences, but it's never really been meaningfully analysed. It might all be junk. We should check that data first to see if it's any good. If not, then we should implement extra data collection.

Presumably, the data lives in the PrefUpdate schema. @Jdforrester-WMF can correct us if that's wrong.

Deskana created this task.Dec 3 2015, 7:08 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to High.
Deskana added subscribers: Deskana, Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2015, 7:08 PM
Ironholds set Security to None.Dec 3 2015, 10:59 PM
Ironholds edited a custom field.
Ironholds moved this task from Backlog to Needs review on the Discovery-Analysis (Current work) board.
Ironholds moved this task from Needs review to Backlog on the Discovery-Analysis (Current work) board.

@Jdforrester-WMF may be interested in the output of this task, as the product owner of Beta Features.

Ironholds claimed this task.

@Deskana from exploration of the data it looks like it is (indeed) still collecting data and usable. The key-value pair format isn't ideal but we do what we can with what we've got :)

@Deskana from exploration of the data it looks like it is (indeed) still collecting data and usable.

Yay!

The key-value pair format isn't ideal but we do what we can with what we've got :)

If you'd prefer the format changed to something else, you should definitely file a task for that. To be upfront though, I doubt we would let that block moving forwards if the data's usable, but depending on the complexity of the alteration we might be able to knock it out quickly beforehand anyway.

Naw, I can't think of a less horrible format to change it to, just grumping that it's somewhat horrible ;p

Deskana closed this task as Resolved.Dec 24 2015, 1:13 AM
mpopov added a subscriber: mpopov.Dec 6 2016, 7:35 PM